RestoreStateBuffers Struct Reference

Buffers to be backed up during parallel encode set to be restored later. More...

`#include <encoder.h>`

## Data Fields

uint16_t * | cdef_srcbuf
uint16_t * | cdef_colbuf [3]
int32_t * | rst_tmpbuf
RestorationLineBuffers * | rlbs

## Detailed Description

Buffers to be backed up during parallel encode set to be restored later.

## Field Documentation

## cdef_srcbuf

uint16_t* RestoreStateBuffers::cdef_srcbuf

Backup of original CDEF srcbuf.

## cdef_colbuf

uint16_t* RestoreStateBuffers::cdef_colbuf[3]

Backup of original CDEF colbuf.

## rst_tmpbuf

int32_t* RestoreStateBuffers::rst_tmpbuf

Backup of original LR rst_tmpbuf.

## rlbs

RestorationLineBuffers* RestoreStateBuffers::rlbs

Backup of original LR rlbs.

The documentation for this struct was generated from the following file:

- av1/encoder/encoder.h